package repositories

import (
	"GoMembership/internal/database"
	"GoMembership/internal/models"
)

type BankAccountRepositoryInterface interface {
	CreateBankAccount(account *models.BankAccount) (uint, error)
}

type BankAccountRepository struct{}

func (repo *BankAccountRepository) CreateBankAccount(account *models.BankAccount) (uint, error) {
	result := database.DB.Create(account)
	if result.Error != nil {
		return 0, result.Error
	}
	return account.ID, nil
}
